Use this API to interact with Helm package clients.
These endpoints do not adhere to the standard API authentication methods. See the Helm registry documentation for details on which headers and token types are supported. Undocumented authentication methods might be removed in the future.
Upload a chart
POST /api/v4/projects/{id}/packages/helm/api/{channel}/charts
Uploads a specified chart for a project.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer or string | The ID or full path of a project |
channelPath, | String | Helm channel Pattern: ^([a-Example: stable |
Request body (multipart/form-data)
| Property | Type | Description |
|---|---|---|
chartRequired | String (binary) | The chart file to be published (generated by Multipart middleware) |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Authorize a chart upload from workhorse
POST /api/v4/projects/{id}/packages/helm/api/{channel}/charts/authorize
This feature was introduced in GitLab 14.0
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer or string | The ID or full path of a project |
channelPath, | String | Helm channel Pattern: ^([a-Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Download a chart
GET /api/v4/projects/{id}/packages/helm/{channel}/charts/{file_name}.tgz
Downloads a specified chart for a project.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer or string | The ID or full path of a project |
channelPath, | String | Helm channel Pattern: ^([a-Example: stable |
file_Path, | String | Helm package file name Example: mychart |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | String (binary) (application/) |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Download a chart index
GET /api/v4/projects/{id}/packages/helm/{channel}/index.yaml
Downloads a specified chart index for a project.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer or string | The ID or full path of a project |
channelPath, | String | Helm channel Pattern: ^([a-Example: stable |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |